package de.uni_heidelberg.ise.studentnavigator.extern;

import java.util.ArrayList;

import de.uhd.ifi.se.feature.annotations.java.Feature;

@Feature("opnv")
public class RnvJourney {
    private String color;
    private String icon;
    private String label;
    private ArrayList<RnvDeparture> listOfDepartures;
    private String pastRequestText;
    private String projectedTime;
    private String shortLabel;
    private String ticker;
    private String time;

    public RnvJourney() {
    }

    public RnvJourney(String error) {
        ticker = error;
    }

    /**
     * @return the color
     */
    public String getColor() {
        return color;
    }

    /**
     * @return the icon
     */
    public String getIcon() {
        return icon;
    }

    /**
     * @return the label
     */
    public String getLabel() {
        return label;
    }

    /**
     * @return the listOfDepartures
     */
    public ArrayList<RnvDeparture> getListOfDepartures() {
        return listOfDepartures;
    }

    /**
     * @return the pastRequestText
     */
    public String getPastRequestText() {
        return pastRequestText;
    }

    /**
     * @return the projectedTime
     */
    public String getProjectedTime() {
        return projectedTime;
    }

    /**
     * @return the shortLabel
     */
    public String getShortLabel() {
        return shortLabel;
    }

    /**
     * @return the ticker
     */
    public String getTicker() {
        return ticker;
    }

    /**
     * @return the time
     */
    public String getTime() {
        return time;
    }

    @Override
    public String toString() {
        return "[" + shortLabel + "]" + projectedTime + ":" + label + ";" + ticker + ":"
                + (listOfDepartures == null ? "nil" : listOfDepartures.toString());
    }
}
