package de.uni_heidelberg.ise.studentnavigator.model;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import de.uhd.ifi.se.feature.annotations.java.Feature;

@DatabaseTable(tableName = "organizations")
@Feature("Routenfindung")
public class Organization extends Organizer {
    @DatabaseField
    private String name;

    public Organization() {
    }

    public Organization(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    @Override
    public String getOrganizerName() {
        return this.name;
    }
}
