package de.uni_heidelberg.ise.studentnavigator.model;

import com.j256.ormlite.field.DatabaseField;

import de.uhd.ifi.se.feature.annotations.java.Feature;

@Feature("Routenfindung")
public abstract class Organizer {
    /** This field is needed for persistence (e.g. as foreign key) */
    @DatabaseField(generatedId = true)
    private Long id;

    public Long getId() {
        return this.id;
    }

    public abstract String getOrganizerName();
}
