package de.uni_heidelberg.ise.studentnavigator.extern;

import java.util.ArrayList;

import android.os.AsyncTask;
import android.util.Log;
import de.uhd.ifi.se.feature.annotations.java.Feature;
import twitter4j.Paging;
import twitter4j.ResponseList;
import twitter4j.Twitter;
import twitter4j.TwitterFactory;
import twitter4j.User;
import twitter4j.conf.ConfigurationBuilder;

@Feature("Twitter")
public class AsyncRetrieveTweetsTask extends AsyncTask<String, Void, ResponseList<twitter4j.Status>> {

    private static final String O_AUTH_ACCESS_TOKEN = "64168031-mdfnNS6CZLSZqw7WhXJtKVs96BVhY6rsrXGFBAuce";
    private static final String O_AUTH_ACCESS_TOKEN_SECRET = "8Lzu4B9Xw3amRE3jkAOSqlzrv18Cs2wyIcOfqEyrgB3h8";
    private static final String O_AUTH_CONSUMER_KEY = "iNKhGwlfXpUkyHbXsOJHqxiZy";
    private static final String O_AUTH_CONSUMER_SECRET = "RSgfSBT94za0MXELGnIgcxqYMfZuVxqmk0EdcBrn0I9V4R1RBi";

    public IAsyncRetrieveTweetsResponse delegate;
    private Exception exception;
    private TwitterFactory twitterFactory;

    public AsyncRetrieveTweetsTask(IAsyncRetrieveTweetsResponse delegate) {
        this.delegate = delegate;
    }

    @Override
    protected ResponseList<twitter4j.Status> doInBackground(String... params) {
        Log.i("Twitter", "Searching user with name " + params[0] + "...");
        final Twitter twitter = twitterFactory.getInstance();

        ResponseList<twitter4j.Status> tweets = null;
        try {
            final ResponseList<User> users = twitter.searchUsers(params[0], 1);
            if (users != null && !users.isEmpty()) {
                Log.i("Twitter", "Found user " + users.get(0).getScreenName() + ".");
                tweets = twitter.getUserTimeline(users.get(0).getScreenName(), new Paging(1));
            }
        } catch (final Exception e) {
            exception = e;
            exception.printStackTrace();
            delegate.tweetSearchProducedResults(new ArrayList<twitter4j.Status>());
        }

        return tweets;
    }

    @Override
    protected void onPostExecute(ResponseList<twitter4j.Status> tweets) {
        if (tweets == null || tweets.isEmpty())
            return;
        Log.i("Twitter", "Found " + tweets.size() + " tweets.");
        delegate.tweetSearchProducedResults(tweets);
    }

    @Override
    protected void onPreExecute() {
        final ConfigurationBuilder configuration = new ConfigurationBuilder();
        configuration.setDebugEnabled(true).setOAuthConsumerKey(O_AUTH_CONSUMER_KEY)
                .setOAuthConsumerSecret(O_AUTH_CONSUMER_SECRET).setOAuthAccessToken(O_AUTH_ACCESS_TOKEN)
                .setOAuthAccessTokenSecret(O_AUTH_ACCESS_TOKEN_SECRET);
        twitterFactory = new TwitterFactory(configuration.build());
    }

}
