package de.uni_heidelberg.ise.studentnavigator.extern;

import java.util.Date;
import java.util.List;

import de.uhd.ifi.se.feature.annotations.java.Feature;
import de.uni_heidelberg.ise.studentnavigator.model.Station;

@Feature("opnv")
public interface IOpnvManager {

    void getStation(String hafasID, QueryCallback<Station> result);

    void getStationByFeature(String featureID, QueryCallback<Station> result);

    boolean isStation(String featureID);

    void queryJourney(String hafasID, Date time, List<String> poles, boolean needPlatformDetail,
            QueryCallback<RnvJourney> result);

}
