package de.uni_heidelberg.ise.studentnavigator.extern;

import de.uhd.ifi.se.feature.annotations.java.Feature;

@Feature("opnv")
public class RnvDeparture {
    private String differenceTime;
    /** /the direction. */
    private String direction;
    private String foreignLine;
    private String kindOfTour;
    private String lineId;
    /** /the label for this faire. */
    private String lineLabel;
    private String platform;
    private String positionInTour;
    private String status;
    private String statusNote;
    private String time;
    private String tourId;
    private String transportation;

    /**
     * @return the differenceTime
     */
    public String getDifferenceTime() {
        return differenceTime;
    }

    /**
     * @return the direction
     */
    public String getDirection() {
        return direction;
    }

    /**
     * @return the foreignLine
     */
    public String getForeignLine() {
        return foreignLine;
    }

    /**
     * @return the kindOfTour
     */
    public String getKindOfTour() {
        return kindOfTour;
    }

    /**
     * @return the lineId
     */
    public String getLineId() {
        return lineId;
    }

    /**
     * @return the lineLabel
     */
    public String getLineLabel() {
        return lineLabel;
    }

    /**
     * @return the platform
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * @return the positionInTour
     */
    public String getPositionInTour() {
        return positionInTour;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @return the statusNote
     */
    public String getStatusNote() {
        return statusNote;
    }

    public String getStatusSummary() {
        return status + "[" + statusNote + "]";
    }

    /**
     * @return the time
     */
    public String getTime() {
        return time;
    }

    /**
     * @return the tourId
     */
    public String getTourId() {
        return tourId;
    }

    /**
     * @return the transportation
     */
    public String getTransportation() {
        return transportation;
    }

    @Override
    public String toString() {
        return "[" + lineLabel + "-->" + direction + "]" + platform;
    }

    public String toSummary() {
        return time + " Typ:" + kindOfTour + " Position:" + positionInTour + " Transport:" + transportation;
    }
}
