package de.uni_heidelberg.ise.studentnavigator.model;

import com.j256.ormlite.field.DatabaseField;

import de.uhd.ifi.se.feature.annotations.java.Feature;

@Feature("Routenfindung")
public abstract class MapObject {
    @DatabaseField
    protected String featureId;

    @DatabaseField(generatedId = true)
    private Long id;

    public String getFeatureId() {
        return this.featureId;
    }

    public Long getId() {
        return this.id;
    }

    public abstract void setFeatureId(String featureId);
}
