#!/bin/sh
# init a git repo @ the actual path and perform some commits with jira
# issue ids in the commit messages for demonstrantion purpose of ComL based
# link creation

# init the local git repo and add a user to the repos git config
git init ./
git config user.email "developer@eclipse.org"
git config user.name "Developer"

# perform 3 commits with jira issue ids in the commit messages
git add StudentNavigator/src/de/uni_heidelberg/ise/studentnavigator/ElevatorManager.java
git commit -a -m "ISE2017-84 ElevatorManager"

git add StudentNavigator/src/de/uni_heidelberg/ise/studentnavigator/FilterManager.java
git commit -a -m "ISE2017-84 FilterManager"

git add StudentNavigator/src/de/uni_heidelberg/ise/studentnavigator/InfoBoxManager.java
git commit -a -m "ISE2017-46 InfoBoxManager"

# show the log of the commits 
git log 